%define version 4.4
%define release 2mdk

%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Thinkpad Utilities
Name:		tpctl
Version:	%{version}
Release:	%{release}
URL:		http://tpctl.sourceforge.net/
Group:		System/Kernel and hardware
License:	GPL
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		http://prdownloads.sourceforge.net/tpctl/%{name}_%{version}.tar.bz2
Source1:	apmiser.init.bz2
Source2:	hdparm-contrib-ultrabayd.tar.bz2
Source3:	ultrabayd.init.bz2
Patch0:		tpctl-4.3-config.patch.bz2
Patch1:		hdparm-5.4-fix_path_bell_idectl.patch.bz2

BuildRequires:	ncurses-devel
Requires:	%{lib_name} = %{version}-%{release}
Prereq:		rpm-helper
# 4.4-2mdk (Abel) idectl and ultrabayd is moved to this package
Requires:	hdparm >= 5.4-3mdk
Conflicts:	hdparm <= 5.4-2mdk

%description
Utilities specific to IBM Thinkpads

%package -n %{lib_name}
Summary: Library associated with tpctl, needed for tpctl utilities.
Group: System/Libraries

%description -n %{lib_name}
This library is mandatory for tpctl utilities.
 
%package -n %{lib_name}-devel
Summary: Development package with static libs and headers.
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
This package contains header files and static library for tpctl
utilities.
 

%prep
%setup -q -a 2
%patch0 -p1 -b .config

# 4.4-2mdk (Abel) needs Source2
%patch1 -p1 -b .ultrabay
mv contrib/README contrib/idectl-README

%build
%make all

%install
rm -Rf %{buildroot}
mkdir -p %{buildroot}/{%{_sbindir},%{_mandir}/man1}
make install	DIR_SBIN=%{buildroot}/%{_sbindir} \
		DIR_BIN=%{buildroot}/%{_bindir} \
		DIR_LIB=%{buildroot}/%{_libdir} \
		DIR_MAN=%{buildroot}/%{_mandir}

mkdir -p %{buildroot}/%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}/%{_initrddir}/apmiser

mkdir -p %{buildroot}/%{_includedir}
cp -r include %{buildroot}/%{_includedir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man8
install -m 0644 man/apmiser.8 %{buildroot}%{_mandir}/man8/

# 4.4-2mdk (Abel) ultrabayd stuff
install -m 0755 contrib/idectl %{buildroot}%{_sbindir}/idectl
install -m 0755 contrib/ultrabayd %{buildroot}%{_sbindir}/ultrabayd
bzcat %{SOURCE3} > %{buildroot}%{_initrddir}/ultrabayd

%clean
rm -rf %{buildroot}

%post 
%_post_service apmiser
%_post_service ultrabayd

%preun 
%_preun_service apmiser
%_preun_service ultrabayd

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man?/*
%attr(700,root,root) 
%config(noreplace) %{_initrddir}/*
%doc AUTHORS COPYING README SUPPORTED-MODELS TROUBLESHOOTING VGA-MODES
%doc contrib/idectl-README

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog COPYING 
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*

%changelog
* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 4.4-2mdk
- Source2, Patch1: Move hdparm ThinkPad contrib stuff (ultrabay
  daemon) here.
- Source3: Add ultrabayd initscript
- Install missing apmiser.8 manpage
- mklibname

* Tue Jul 08 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.4-1mdk
- 4.4.

* Tue Apr 08 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.3-3mdk
- Fix apmiser script.

* Wed Apr 02 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.3-2mdk
- Rework package.

* Mon Mar 10 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.3-1mdk
- New version with errno compile error fix.
- New attempt for apmiser.

* Mon Feb 10 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.2-1mdk
- Initial Mandrake rpm.
